Bass Fishing Forums - The Bassholes banner
1 - 2 of 2 Posts

·
Registered
Joined
·
1 Posts
Discussion Starter · #1 ·
Hi guys, Thank God I found your site. I need to update my Lowrance X515c DF version 1.3.0 to version 2.5. I read a post from Todd Driscoll that said it was possible to use my LCX27c to update the version through the NMEA2000 port. Could someone give me specific directions on how to do this, I'm trying to get these units to function through the ethernet port. Thanks!
Mark
 

·
Registered
Joined
·
219 Posts
Yes, current version for the 515 C DF is 2.5 and it is not available on our website. If you provide your email address (either here or drop me a PM), I will send it to you. You must have the 515 networked with NMEA 2000 to your 27C. With both units on and networked via NMEA 2000, insert the SD card with the update in the 27, press Menu, Menu, Browse Files, PoseidonS.luf, Update, Yes

Regardless of the software version, your 515 must be 2007 or newer for Ethernet-link capability.
 
1 - 2 of 2 Posts
This is an older thread, you may not receive a response, and could be reviving an old thread. Please consider creating a new thread.
Top